<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.adealink.weparty.commonui.blurview.BlurTarget
        android:id="@+id/iv_bg_blur_target"
        android:layout_width="match_parent"
        android:layout_height="@dimen/profile_header_height"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_bg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:actualImageScaleType="centerCrop"
            app:failureImage="@drawable/common_default_avatar_ic"
            app:failureImageScaleType="centerCrop"
            app:placeholderImage="@drawable/common_default_avatar_ic"
            app:placeholderImageScaleType="centerCrop" />

    </com.adealink.weparty.commonui.blurview.BlurTarget>

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/profile_header_cover_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="375:142"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <com.adealink.weparty.module.playmate.widget.SoundView
        android:id="@+id/v_sound"
        android:layout_width="wrap_content"
        android:layout_height="26dp"
        android:layout_marginStart="16dp"
        android:layout_marginBottom="6dp"
        app:layout_constraintBottom_toTopOf="@id/cl_info_1"
        app:layout_constraintStart_toStartOf="parent"
        app:sound_duration_text_size="12sp"
        app:sound_show_play_button="true"
        app:sound_show_wave="false" />

    <!--基础信息 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_info_1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        app:layout_constraintBottom_toTopOf="@id/cl_info_2"
        app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
        app:layout_constraintStart_toStartOf="@id/iv_bg_blur_target">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="2.5dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/v_gender"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

        <com.adealink.weparty.module.profile.widget.GenderView
            android:id="@+id/v_gender"
            style="@style/CommonGenderView"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="24dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_name"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_name"
            app:layout_constraintTop_toTopOf="@id/tv_name" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_info_2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="2dp"
        app:layout_constraintBottom_toTopOf="@id/cl_info_3"
        app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
        app:layout_constraintStart_toStartOf="@id/iv_bg_blur_target">

        <!--位置-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_location"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone"
            app:layout_constraintEnd_toStartOf="@id/tv_user_id"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_location"
                android:layout_width="16dp"
                android:layout_height="16dp"
                app:layout_constraintEnd_toStartOf="@id/tv_location"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_location_gray_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_location"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_regular"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:textColor="@color/color_FFC9CDD4"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="@id/iv_location"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_location"
                app:layout_constraintTop_toTopOf="@id/iv_location"
                tools:text="Jakarta TimurJakarta TimurJakarta Timur" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--用户ID-->
        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:fontFamily="@font/poppins_regular"
            android:includeFontPadding="false"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_copy_user_id"
            app:layout_constraintStart_toEndOf="@id/cl_location"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginStart="0dp"
            tools:text="ID 12345678" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_copy_user_id"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="16dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_user_id"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_user_id"
            app:layout_constraintTop_toTopOf="@id/tv_user_id"
            app:srcCompat="@drawable/common_copy_id_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_info_3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="2dp"
        android:layout_marginBottom="8dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg_blur_target"
        app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
        app:layout_constraintStart_toStartOf="@id/iv_bg_blur_target">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_fans"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="12.3k 粉丝 10k获赞" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/v_barrier_end"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="start"
        app:constraint_referenced_ids="iv_evaluate_star, v_room_online_blur_bar" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_evaluate_star"
        android:layout_width="18dp"
        android:layout_height="18dp"
        android:layout_marginEnd="4dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_evaluate"
        app:layout_constraintEnd_toStartOf="@id/tv_evaluate"
        app:layout_constraintTop_toTopOf="@id/tv_evaluate"
        app:srcCompat="@drawable/common_star_selected_ic" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_evaluate"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="18dp"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:textColor="@color/white"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg_blur_target"
        app:layout_constraintEnd_toEndOf="parent"
        tools:text="4.2" />

    <com.adealink.weparty.commonui.blurview.BlurView
        android:id="@+id/v_room_online_blur_bar"
        android:layout_width="84dp"
        android:layout_height="88dp"
        android:layout_marginBottom="8dp"
        android:background="@drawable/profile_room_online_bg"
        android:elevation="16dp"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@id/tv_evaluate"
        app:layout_constraintEnd_toEndOf="parent"
        tools:visibility="visible">

        <include
            android:id="@+id/v_room_online"
            layout="@layout/layout_user_profile_room_online"
            android:layout_width="84dp"
            android:layout_height="88dp" />
    </com.adealink.weparty.commonui.blurview.BlurView>

</androidx.constraintlayout.widget.ConstraintLayout>